org.springframework.data.relational.repository.query

## Interface RelationalEntityMetadata<T>

All Superinterfaces:
  EntityMetadata<T>

All Known Implementing Classes:
  SimpleRelationalEntityMetadata

    public interface RelationalEntityMetadata<T>
    extends EntityMetadata<T>

Extension of `EntityMetadata` to additionally expose the collection name an entity shall be persisted to.

Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`RelationalPersistentEntity<?>` `getTableEntity()` Returns the `RelationalPersistentEntity` that supposed to determine the table to be queried.
`SqlIdentifier` `getTableName()` Returns the name of the table the entity shall be persisted to.

### Methods inherited from interface org.springframework.data.repository.core.EntityMetadata

`getJavaType`

### Method Detail

#### getTableName

    SqlIdentifier getTableName()

Returns the name of the table the entity shall be persisted to.

Returns:

#### getTableEntity

    RelationalPersistentEntity<?> getTableEntity()

Returns the `RelationalPersistentEntity` that supposed to determine the table to be queried.

Returns: